{
  "type": "minecraft:crafting_shaped",
  "pattern": [
    "ccc",
    "cfc",
    "ccc"
  ],
  "key": {
    "c": {
      "item": "minecraft:raw_copper"
    },
    "f": {
      "tag": "minecraft:campfires"
    }
  },
  "result": {
    "item": "minecraft:furnace"
  }
}